#! /bin/sh
# 5799-WZQ (C) COPYRIGHT IBM CORPORATION 1986,1987,1988
# LICENSED MATERIALS - PROPERTY OF IBM
# REFER TO COPYRIGHT INSTRUCTIONS FORM NUMBER G120-2083
# $Header:chmod.sh 12.0$ 
# $ACIS:chmod.sh 12.0$ 
# $Source: /ibm/acis/usr/sys/dist/bin/RCS/chmod.sh,v $ 
case "$1" in
[0-7]*)	mode=0$1
	shift;;
*)	echo "$0:$1:only octal modes are supported" >&2
	exit 1;;
esac

for i
do
	/etc/syscall chmod $i $mode
done
